## javanet.staxutils.helpers
Class ListEventReader

    java.lang.Object
      javanet.staxutils.BaseXMLEventReader
          javanet.staxutils.helpers.ListEventReader

All Implemented Interfaces:
  Iterator, XMLEventReader

    public class ListEventReader

extends BaseXMLEventReader

`XMLEventReader` that reads events from a `List`.

Version:
  $Revision: 1.1 $
Author:
  Christian Niles

Field Summary

Fields inherited from class javanet.staxutils.BaseXMLEventReader
`closed`

Constructor Summary
`ListEventReader(List events)` Constructs a `ListEventReader` that reads events from the provided `List`.

Method Summary
`boolean` `hasNext()`
`XMLEvent` `nextEvent()`
`XMLEvent` `peek()`

Methods inherited from class javanet.staxutils.BaseXMLEventReader
`close, getElementText, getProperty, next, nextTag, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListEventReader

    public ListEventReader(List events)

  Constructs a `ListEventReader` that reads events from the provided `List`.

  Parameters:
    `events` - The `List` of events to read.

Method Detail

### nextEvent

    public XMLEvent nextEvent()
                       throws XMLStreamException

  Throws:
    `XMLStreamException`

### hasNext

    public boolean hasNext()

### peek

    public XMLEvent peek()
                  throws XMLStreamException

  Throws:
    `XMLStreamException`